> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/load-tiff.md).

# How to load a TIFF file in WebViewer?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

WebViewer requires the Full API to load a TIFF file. See [this guide](/web/full-api/setup.md) for how to setup full API.

You can then use the full API to manually create a document, add the TIFF image to the document and load the document in WebViewer:

{% tabs %}
{% tab title="ES5" %}
{% code lineNumbers="true" %}

```js
WebViewer({
    path: 'lib',
    fullAPI: true,
  }, document.getElementById('viewer'))
.then(function(instance) {
  var PDFNet = instance.PDFNet;

  var newDoc;
  
  PDFNet.runWithoutCleanup(function() {
    //create an empty document
    return PDFNet.PDFDoc.create()
      .then(function(doc) {
        newDoc = doc;
        newDoc.initSecurityHandler();
        newDoc.lock();
        return PDFNet.Filter.createURLFilter("./files/test.tif");
      })
      .then(function(tiffFile) {
        return PDFNet.Convert.fromTiff(newDoc, tiffFile);
      }).then(function() {
        newDoc.unlock();
        instance.loadDocument(newDoc);
      });
  });
});
```

{% endcode %}
{% endtab %}

{% tab title="ES6+" %}
{% code lineNumbers="true" %}

```js
WebViewer(
  {
    path: 'lib',
    fullAPI: true,
  },
  document.getElementById('viewer')
).then(async instance => {
  const PDFNet = instance.PDFNet;
  let doc = null;
  await PDFNet.runWithoutCleanup(async () => {
    // create an empty document
    doc = await PDFNet.PDFDoc.create();
    doc.initSecurityHandler();
    doc.lock();
    const tiffFile = await PDFNet.Filter.createURLFilter("./files/test.tif");
    await PDFNet.Convert.fromTiff(doc, tiffFile);
    const buffer = await doc.saveMemoryBuffer(PDFNet.SDFDoc.SaveOptions.e_linearized);
    doc.unlock();
  });
  //load document with tiff
  instance.loadDocument(doc);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/load-tiff.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
